Tcl_PrintDouble(3)

NAME
Tcl_PrintDouble - Convert floating value to string

SYNOPSIS
#include <tcl.h>

Tcl_PrintDouble(interp, value, dst)

ARGUMENTS
Interpreter that controls the conversion. Floating-point value to be converted. Where to store string representing value. Must have at least TCL_DOUBLE_SPACE characters of storage.

DESCRIPTION

Tcl_PrintDouble generates a string that represents the value of value and stores it in memory at the location given by dst. It uses %g format to generate the string, with two special twists. First, the string is guaranteed to contain either a ``.'' or an ``e'' so that it doesn't look like an integer (where %g would generate an integer with no decimal point, Tcl_PrintDouble adds ``.0''). Second, the number of significant digits printed at dst is controlled by the tcl_precision variable in interp; if tcl_precision is undefined then 6 significant digits are printed.

KEYWORDS
conversion, double-precision, floating-point, string